Subject: Re: [PATCH] Add a 1-second sleep to git-cvsexportcommit test

From: Andy Parkins <[email-masked]>
Date: Wed, 25 Jul 2007 08:35:19 +0100

On Tuesday 2007 July 24, Linus Torvalds wrote:

> So if you sleep for one second, the filesystem times will update by one
> second, but if you try to *synchronize* to exactly one second, it's not at
> all certain that the *filesystem* clock will be synchronized to the same
> second! Time skew is simply a fact of life.

I think it's even worse; if memory serves one of the Windows file systems 
(spit) only stores times to a two-second resolution.  So half the time, 
waiting for one second won't change the time stamp _at all_.

Andy
-- 
Dr Andy Parkins, M Eng (hons), MIET
[email-masked]